fop 2.3

## org.apache.fop.fonts.cff
Class CFFDataReader.CFFSubTable

    java.lang.Object
      org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable

Direct Known Subclasses:
  CFFDataReader.CFFIndexData, CFFDataReader.FontDict

Enclosing class:
  CFFDataReader

    public class CFFDataReader.CFFSubTable

extends java.lang.Object

Parent class which provides the ability to retrieve byte data from a sub-table.

Constructor Summary
`CFFDataReader.CFFSubTable()`

Method Summary
`byte[]` `getByteData()`
`void` `setByteData(int position, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFFDataReader.CFFSubTable

    public CFFDataReader.CFFSubTable()

Method Detail

### setByteData

    public void setByteData(int position,
                            int length)

### getByteData

    public byte[] getByteData()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.